KDE4-CONFIG(1)

NAMN
kde4-config - Skriver ut installationssökvägar för KDE

SYNOPSIS

kde4-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--types] [--path typ] [--userpath typ] [--install typ]

BESKRIVNING

kde4-config är ett kommandoradsprogram som används för att hämta information om KDE:s installation eller användarsökvägar.

Använd programmet för att avgöra var de olika delarna av KDE-installationen finns på ditt system.

VÄLJARE

--expandvars
    Expandera ${prefix} och ${exec_prefix} i utdata

--prefix
    Inkompilerat prefix för KDE-bibliotek

--exec-prefix
    Inkompilerat exec_prefix för KDE-bibliotek

--libsuffix
    Inkompilerat suffix för bibliotekssökvägar

--localprefix
    Prefix i $HOME som används för att skriva filer

---version
    Inkompilerad versionssträng för KDE-bibliotek

--types
    Skriv ut en lista med alla tillgängliga resurstyper i KDE

--path typ
    Sökväg för angiven typ

--userpath typ
    Användarsökvägar för typerna: desktop|autostart|trash|document

--install typ
    Prefix att installera resursfiler

EXEMPEL

Skriv ut KDE:s toppnivå-installationskatalog:

% kde4-config --prefix

Skriv ut en lista med alla resurstyper:

% kde4-config --types

Skriv ut sökvägen till det installerade skrivbordsunderlägget:

% kde4-config --path wallpaper

SE OCKSÅ

kdeoptions(7)

FEL

Inga kända.

AUTHOR

Stephan Kulow <coolo@kde.org>
    Author.